> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Document for Async Add Doc



## OpenAPI

````yaml api-reference/endpoint/platform/openapi.json post /v1/async/submit/storage/docsets/{docset_id}/docs
openapi: 3.1.0
info:
  title: Aryn Platform API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
security: []
paths:
  /v1/async/submit/storage/docsets/{docset_id}/docs:
    post:
      tags:
        - Document
      summary: Submit Document for Async Add Doc
      operationId: _async_add_doc_submit_v1
      parameters:
        - name: docset_id
          in: path
          required: true
          schema:
            type: string
            description: The unique identifier of the docset to which to add the doc.
            title: Docset Id
          description: The unique identifier of the docset to which to add the doc.
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_add_doc_v1_storage_docsets__docset_id__docs_post
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  task_id:
                    type: string
                    title: Task ID
                    description: |
                      The ID of the async task.
                    examples:
                      - aryn:t-47gpd3604e5tz79z1jro5fc
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    examples:
                      - Not authenticated.
        '429':
          description: Too many requests.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    examples:
                      - Too many requests
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_add_doc_v1_storage_docsets__docset_id__docs_post:
      properties:
        file:
          anyOf:
            - type: string
              format: binary
            - type: 'null'
          title: File
          description: The file to add to the Aryn platform.
        file_url:
          anyOf:
            - type: string
            - type: 'null'
          title: File Url
        options:
          anyOf:
            - type: string
              format: binary
            - type: 'null'
          title: Options
          description: DocParse options to use during partitioning
      type: object
      title: Body_add_doc_v1_storage_docsets__docset_id__docs_post
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````